Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® OLAP Analytic Workspace Java API Reference 10g Release 2 (10.2) B14351-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.AWAction
Class Create

    java.lang.Object
      |
      +--oracle.AWAction.AWAction
            |
            +--oracle.AWAction.Create

public class Create
extends AWAction

An `AWAction` that specifies creating an object in an analytic workspace.

Constructor Summary
`Create(Interaction input)` Creates a `Create` action object in the specified `Interaction`.

Method Summary
`void` | `Execute()` Creates the active object in the analytic workspace.
`BaseObject` | `getBaseObject()` Gets the object to create.
`java.lang.String` | `getType()` Gets the type of the `Create` object.
`void` | `setBaseObject(BaseObject input)` Specifies the object to create.
`void` | `setType(java.lang.String input)` Specifies a type for the `Create` object.
`java.lang.String` | `WriteToXML()` Gets an XML representation of the `Create` object.

Methods inherited from class oracle.AWAction.AWAction
`getActiveObject, getOwner, setActiveObject, setOwner`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Create

    public Create(Interaction input)

  Creates a `Create` action object in the specified `Interaction`.
  Parameters:
    `input` - The `Interaction` that you want to own the `Create` object.

Method Detail

### getType

    public java.lang.String getType()

  Gets the type of the `Create` object. The type can be one of the following.

        AFTER
        BEFORE
        FIRST
        NULL

  Returns:
    A `String` that has the type specified for the `Create` object.

### setType

    public void setType(java.lang.String input)

  Specifies a type for the `Create` object. The type indicates the placement of the created object within a series. For example, a `Create` action object that has a type of `FIRST` and has a `CubeDimRef` as its base object creates a dimension reference at the beginning of the dimension list of the parent `Cube`.

  The values that you can specify as the `input` to this method are the following.

        AFTER
        BEFORE
        FIRST
        NULL

  The `NULL` type causes the object to added to the end of the series.
  Parameters:
    `input` - A `String` that specifies the type of the `Create` object.

### getBaseObject

    public BaseObject getBaseObject()

  Gets the object to create.
  Returns:
    The `BaseObject` to create.

### setBaseObject

    public void setBaseObject(BaseObject input)

  Specifies the object to create.
  Parameters:
    `input` - The `BaseObject` to create.

### WriteToXML

    public java.lang.String WriteToXML()

  Gets an XML representation of the `Create` object.
  Overrides:
    WriteToXML in class AWAction
  Returns:
    A `String` that is an XML representation of the `Create` object.

### Execute

    public void Execute()

  Creates the active object in the analytic workspace.
  Overrides:
    Execute in class AWAction

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® OLAP Analytic Workspace Java API Reference 10g Release 2 (10.2) B14351-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003, 2005 Oracle. All rights reserved.